summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/transactions
diff options
context:
space:
mode:
authorPablo Neira Ayuso <pablo@netfilter.org>2018-05-08 13:23:25 +0200
committerPablo Neira Ayuso <pablo@netfilter.org>2018-05-08 14:26:37 +0200
commita819871655d803ea139225ea05dbdf055758bf18 (patch)
tree200c7c68e52b0dca0d713343359348a725c714b5 /tests/shell/testcases/transactions
parent13535a3b40b625f0a98e87a1324715cc6491d738 (diff)
tests: shell: delete chain and rule with jump to chain in same transaction
We should not hit EBUSY in this case. Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/transactions')
-rwxr-xr-xtests/shell/testcases/transactions/0015chain_025
1 files changed, 25 insertions, 0 deletions
diff --git a/tests/shell/testcases/transactions/0015chain_0 b/tests/shell/testcases/transactions/0015chain_0
new file mode 100755
index 00000000..90f87182
--- /dev/null
+++ b/tests/shell/testcases/transactions/0015chain_0
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -e
+
+RULESET="add table x
+add chain x y
+add chain x z
+add rule x z jump y"
+
+$NFT -f - <<< $RULESET
+if [ $? -ne 0 ] ; then
+ echo "E: unable to load good ruleset" >&2
+ exit 1
+fi
+
+RULESET="delete rule x z handle 3
+delete chain x z
+delete chain x y
+delete table x"
+
+$NFT -f - <<< $RULESET
+if [ $? -ne 0 ] ; then
+ echo "E: unable to load good ruleset" >&2
+ exit 1
+fi